@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: 0.9rem !important;
}

a, .btn-link {
    color: #4a42f4;
}

hover-line:hover {
    text-decoration: underline;
    cursor: pointer;
}

p {
    font-size: 14px !important;
    font-weight: normal !important;
}

h3 {
    font-size: 1.2rem !important;
}

.oi-check {
    top: 10px;
}

.red {
    color: #DC3545 !important;
}

.orange {
    color: #FFA500 !important;
}

.green {
    color: #28a745 !important;
}

.grey {
    color: #7f7f7f !important;
}

.red-border-bottom {
    border-bottom: 1px solid #DC3545 !important;
}

.green-border-bottom {
    border-bottom: 1px solid #28a745 !important;
}

.grey-border-bottom {
    border-bottom: 1px solid #7f7f7f !important;
}

.checkboxSize {
    height: 25px !important;
    width: 25px !important;
    position: relative !important;
    left: 2% !important;
}

.radioBoxSizeParent {
    width: 40% !important;
}

.radioBoxSize {
    height: 25px !important;
    width: 25px !important;
    position: relative !important;
    margin-left: 16px;
    left: 25px !important;
    /*top: 5px;*/
}

.radioBoxSizeParentSmall {
    width: 50% !important;
}

.radioBoxSizeSmall {
    height: 16px !important;
    width: 21px !important;
    position: relative !important;
    margin-left: 16px;
    left: 25px !important;
    /*top: 5px;*/
}

.radioBoxSizeLabel {
    padding-left: 0px !important;
}

.special-separator {
    width: 20px !important;
    border-radius: 0px !important;
    text-align: center !important;
}

.special-separator-sub {
    font-size: 25px;
}

.alert-warning {
    color: #fff;
    background-color: #4B42F4;
    border-color: gray;
}

.alert-warning-danger {
    color: #000;
    background-color: #f5c6cb;
    border: 1px solid #DC3545 !important;
}

.nav-tabs .nav-item.show .nav-link, .nav-tabs .nav-link.active {
    color: #fff !important;
    background-color: #4b42f4;
    border-color: #dee2e6 #dee2e6 #fff;
}

.nav-tabs .nav-link {
    color: #5A6268 !important;
    background-color: #fff;
    border: 1px solid #d3d3d3 !important;
    border-bottom: none !important;
}

.accountOptionsSpanMarg {
    margin-left: 10%;
}

.datepicker table tr td span.active {
    background-color: #4B42F4 !important;
    background-image: linear-gradient(180deg, rgb(11, 0, 39) 0%, #4b42f4 0%) !important;
}

.datepicker table tr td.active {
    background-color: #4B42F4 !important;
    background-image: linear-gradient(180deg, rgb(11, 0, 39) 0%, #4b42f4 0%) !important;
}

.fas-headingsize {
    font-size: 1.5rem;
}

.fas-sub-headingsize {
    font-size: 1.2rem;
}

.dismiss-group {
    position: relative;
    bottom: 2px;
}

.tooltip {
    pointer-events: none;
}

    .tooltip.show {
        opacity: 1;
    }

    .tooltip-arrow,
    .tooltip > .tooltip-inner {
        background-color: #4A42F4;
    }

.bs-tooltip-auto[x-placement^=bottom] .arrow::before,
.bs-tooltip-bottom .arrow::before {
    border-bottom-color: #4A42F4; /* Red */
}

.bs-tooltip-auto[x-placement^=top] .arrow::before,
.bs-tooltip-top .arrow::before {
    border-top-color: #4A42F4; /* Red */
}

.bs-tooltip-auto[x-placement^=left] .arrow::before,
.bs-tooltip-left .arrow::before {
    border-left-color: #4A42F4; /* Red */
}

.bs-tooltip-auto[x-placement^=right] .arrow::before,
.bs-tooltip-right .arrow::before {
    border-right-color: #4A42F4; /* Red */
}

.btn-group {
    padding-right: 6px !important;
}
    .btn {
        font-size: 12px !important;
    }

.btn-danger {
    background-image: linear-gradient(180deg, rgb(220, 53, 69) 0%, #dc3545 0%) !important;
    -webkit-transition: opacity 0.4s, transform 0.4s !important; /* For Safari 3.1 to 6.0 */
    transition: transform 0.4s !important;
}

    .btn-danger:hover {
        -ms-transform: scale(1.05); /* IE 9 */
        -webkit-transform: scale(1.05); /* Safari 3-8 */
        transform: scale(1.05);
    }

.btn-success {
    background-image: linear-gradient(180deg, rgb(40, 167, 69) 0%, #28a745 0%) !important;
    -webkit-transition: opacity 0.4s, transform 0.4s !important; /* For Safari 3.1 to 6.0 */
    transition: transform 0.4s !important;
}

    .btn-success:hover {
        -ms-transform: scale(1.05); /* IE 9 */
        -webkit-transform: scale(1.05); /* Safari 3-8 */
        transform: scale(1.05);
    }

.btn-primary {
    background-image: linear-gradient(180deg, rgb(11, 0, 39) 0%, #4b42f4 0%) !important;
    -webkit-transition: opacity 0.4s, transform 0.4s !important; /* For Safari 3.1 to 6.0 */
    transition: transform 0.4s !important;
}

    .btn-primary:hover {
        -ms-transform: scale(1.05); /* IE 9 */
        -webkit-transform: scale(1.05); /* Safari 3-8 */
        transform: scale(1.05);
    }

.btn-secondary {
    -webkit-transition: opacity 0.4s, transform 0.4s !important; /* For Safari 3.1 to 6.0 */
    transition: transform 0.4s !important;
}

    .btn-secondary:hover {
        -ms-transform: scale(1.05); /* IE 9 */
        -webkit-transform: scale(1.05); /* Safari 3-8 */
        transform: scale(1.05);
    }

.btn-range-padd {
    margin-left: 2% !important;
}

.workflow-sub-heading {
    position: relative;
    left: 33px;
    padding-top: 10px;
}

input[type="file"] {
    display: inline-block;
    padding: 0.2rem 0.75rem;
    cursor: pointer;
    border: 1px solid #ced4da;
    width: 80%;
}

.thead-light {
    border: 1px solid #ddd;
}

.perc-label {
    position: relative;
    text-align: center;
    top: 10px;
    left: 5px;
}

app {
    position: relative;
    display: flex;
    flex-direction: column;
}

.top-row {
    height: auto;
    border-bottom: 1px solid white;
}

.top-heading {
    height: 2rem;
    font-weight: normal;
    text-align: center;
    background-color: #FFF;
    font-size: 25px;
    border-bottom: 1px solid #DEE2E6;
}

.chart-style {
    width: 100% !important;
}
.chart-style-parent {
    width: 40% !important;
    vertical-align: top !important;
}

.table {
    margin-bottom: 0rem !important;
}

    .table td {
        border: none;
        vertical-align: middle;
    }

    .table th {
        border: none;
        cursor: pointer;
    }

.no-side-padd {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.dash-custom-padding {
    padding: 14.8px !important;
}

.table-custom {
    overflow-x: hidden;
    left: 2% !important;
    position: relative;
    top: 20px;
    border: none;
    width: 96% !important;
    padding: 2% !important;
}

    .table-custom td {
        vertical-align: top !important;
        border-left: 0px;
        width: 55%;
        padding: 0px;
    }

.table-custom-child {
    margin: 2px;
    border: 1px solid #DEE2E6;
    width: 99.5%;
}

    .table-custom-child th {
        text-align: center;
        vertical-align: middle;
        padding: 0px;
        height: 40px;
        border-bottom: 1px solid #DEE2E6;
    }

    .table-custom-child tr {
        padding: 0px;
    }

    .table-custom-child td {
        padding: 16.5px;
        padding-bottom: 14px;
        width: auto;
    }

    .table-custom-child input {
        width: 100%;
    }

.td-display {
    padding-left: 0.75rem !important;
    width: 50% !important;
}

.td-display-label {
    width: 32% !important;
    font-weight: bold !important;
    padding: 0.75rem !important;
}

.td-display-button {
    padding-left: 0.75rem !important;
    width: 15% !important;
}


.input-text-label {
    width: 100px;
    font-size: 11pt;
}

.table-label-td {
    width: 15%;
    padding: .75rem 0rem 0rem .75rem !important;
}

.table-label-td-span-strech {
    width: 100%;
}

.table-input-td {
    width: 85%;
    padding: .75rem .75rem 0rem 0rem !important;
}

.table-head-format {
    text-align: left;
    padding-top: 1rem;
    padding-bottom: 1rem;
    font-size: 17px;
}

.table-td-middle {
    vertical-align: middle !important;
}

.custom-div-margins {
    margin-top: 6rem;
    margin-bottom: 1rem;
}

.back-to-top {
    cursor: pointer;
    position: fixed;
    bottom: 20px;
    right: 20px;
    display: none;
    z-index: 999;
}

.input-daterange .input-group-addon {
    width: 14%;
    min-width: 14%;
    line-height: 2.428571;
    border-width: 1px 0;
    margin-left: -5px;
    margin-right: -5px;
}

.input-group-addon {
    font-size: 16px;
    font-weight: 400;
    color: #555;
    text-align: center;
    background-color: #eee;
    border-radius: 4px;
}

.input-daterange {
    position: relative !important;
    bottom: 2.3px !important;
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #4B42F4 !important;
    opacity: 0.6 !important; /* Firefox */
    font-size: 13px;
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #4B42F4 !important;
    opacity: 0.6 !important;
    font-size: 13px;
}

::-ms-input-placeholder { /* Microsoft Edge */
    color: #4B42F4 !important;
    opacity: 0.6 !important;
    font-size: 13px;
}

.filter-box-no-scroll {
    overflow: hidden;
}

.dropdown-toggle {
    height: 32px !important;
}

.fa-chevron-down {
    font-size: 12px !important;
}

.fa-chevron-up {
    font-size: 12px !important;
}

.paging {
    padding-left: 0rem !important;
    padding-top: 0rem !important;
    padding-bottom: 0rem !important;
    background-color: #343a40 !important;
    border-bottom: 1px solid white !important;
}

.ui-state-active, .ui-widget-content .ui-state-active {
    border: 1px solid #6861c2 !important;
    background-color: #4B42F4 !important;
    font-weight: normal !important;
    color: #fff !important;
}

.ui-state-default, .ui-state-default, .ui-widget-header .ui-state-default, .ui-button, html .ui-button.ui-state-disabled:hover, html .ui-button.ui-state-disabled:active {
    border: 1px solid #6c757d !important;
    background: #343a40 !important;
    font-weight: normal !important;
    color: #ffffff !important;
}

table.ui-datepicker-calendar a:hover {
    background-color: #4B42F4 !important;
    opacity: 1;
}

.bootstrap-datetimepicker-widget {
    z-index: 993 !important;
}

.dropdown-menu {
    z-index: 993 !important
}

.dropdown-menu bottom {
    z-index: 993 !important
}

.ui-datepicker {
    z-index: 993 !important;
    background-color: #343A40 !important;
    color: white !important;
}

.ui-datepicker-header {
    background-color: #343A40 !important;
    color: white !important;
}

.ui-datepicker-prev {
    background-color: white !important;
    color: white !important;
}

.ui-datepicker-next {
    background-color: white !important;
    color: white !important;
}

.ui-accordion .ui-accordion-content {
    overflow-y: hidden;
}

.ui-accordion-header {
    margin: 0.4px !important;
    margin-bottom: 0px !important;
}

.accordion-no-style {
    background: none !important;
}

.client-div-row {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.editable-paragraph {
    border: 1px dashed #4A42F4;
    min-width: 30% !important;
    min-height: 20px !important;
    cursor: pointer !important;
}

.editable-strong-small {
    min-width: 10% !important;
    min-height: 20px !important;
    border: 1px dashed #4A42F4;
    cursor: pointer !important;
}

.table-gen {
    width: 100% !important;
    margin-top: 2% !important;
    text-align: left !important;
}
    .table-gen th {
        padding: 10.75px !important;        
    }
    .table-gen td {
        padding: 5.75px !important;
        font-size: 12px;
    }

    .table-gen thead {
        display: table-row-group !important;
    }

@media print {
    thead {
        display: table-row-group !important;
    }
}

.table-gen-footer {
    font-size: 12px !important;
}
    .table-gen-footer th td {
        padding: 0 !important;
    }

.footer-policy-gen {
    text-align: center !important;
    font-size: 12px !important;
    font-style: italic !important;
}

.invoice-div-col-middle-gen-container {
    width: inherit;
    margin-right: 0px;
    width: 90%;
    margin-bottom: 3%;
    margin-left: 5%;
    margin-right: 5%;
    float: left;
}

.invoice-div-col-middle-gen-left {
    float: left;
    text-align: left;
    margin-right: 0px;
    width: 30% !important;
    position: relative;
    top: 14px;
}

.invoice-div-col-middle-gen-right {
    float: right;
    text-align: right;
    width: 70% !important;
    margin-right: 0px;
    position: relative;
    top: 14px;
}

invoice-div-col-middle-gen-middle {
    width: 100%;
    margin-right: 0px;
    width: 100% !important;
    margin-top: 2%;
}

.invoice-head-gen {
    color: #4b42f4 !important;
    font-weight: lighter !important;
}

.invoice-hr-gen {
    width: 90%;
    border-left: none;
    border-right: none;
    border: 0.5px solid #DEE2E6;
    margin-top: 4px;
    margin-left:5%;
    margin-right:5%;
    margin-bottom: 4px;
}

.invoice-gen-image {
    width: 180px;
}

.invoice-div-col-middle-gen {
    display: flex;
    flex-direction: column;
    width: 100%;
    border: 0.5px solid #DEE2E6;
    margin-top: 1%;
    font: Arial, Helvetica, sans-serif !important;
    font-weight: lighter !important;
    font-size: 1rem !important;
}

    .invoice-div-col-middle-gen p {
        font-size: 11px !important;
        font-size-adjust: inherit;
        font-display: fallback;
        margin-top: 0 !important;
        margin-bottom: 0 !important;
        color: #343a40;
        display: block;
        border: none !important;
    }

    .invoice-div-col-middle-gen strong {
        border: none !important;
        font-size: 12px !important;
    }

    .invoice-div-col-middle-gen label {
        border: none !important;
        font-size: 12px !important;
    }

    .invoice-div-col-middle-gen th {
        font-size: 13px !important;
    }

    .invoice-div-col-middle {
        display: flex;
        flex-direction: column;
        width: 64%;
        border: 1px solid #DEE2E6;
    }

    .invoice-div-col-middle p {
        font-size: 14px;
        margin-top: 0 !important;
        margin-bottom: 0 !important;
        display: block;
    }

.invoice-div-col-right {
    display: flex;
    flex-direction: column;
    width: 18%;
    margin-left: 0.5%;
    border: 1px solid #DEE2E6;
    border-right: none;
}

.client-div-col-left {
    display: flex;
    flex-direction: column;
    width: 34%;
    margin-right: 0.5%;
}

.client-div-col-right {
    display: flex;
    flex-direction: column;
    width: 64%;
    margin-left: 0.5%;
}

.invoice-side-headings {
    font-size: 19px !important;
}

.invoice-div-col-left {
    display: flex;
    flex-direction: column;
    width: 18%;
    margin-right: 0.5%;
    border: 1px solid #DEE2E6;
    border-left: none;
}

.client-div-row-checkbox {
    display: flex;
    flex-direction: row;
    justify-content: normal;
}

.client-table-space-top {
    margin-top: 20px !important;
}

.main {
    flex: 1;
    overflow-y: hidden;
}

    .main .top-row {
        background-color: #f7f7f7;
        border-bottom: 1px solid #d6d5d5;
        justify-content: flex-end;
    }

        .main .top-row > a, .main .top-row .btn-link {
            white-space: nowrap;
            margin-left: 1.5rem;
        }

        .main .top-row a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }

.sidebar {
    background-image: linear-gradient(180deg, rgb(11, 0, 39) 0%, #4b42f4 70%);
}

    .sidebar .top-row {
        background-color: rgba(0,0,0,0);
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
        position: relative;
        right: 36px;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .nav-item {
        font-size: 0.9rem;
        padding-bottom: 0.5rem;
    }

        .sidebar .nav-item:first-of-type {
            padding-top: 1rem;
        }

        .sidebar .nav-item:last-of-type {
            padding-bottom: 1rem;
        }

        .sidebar .nav-item a {
            color: #d7d7d7;
            border-radius: 4px;
            height: 3rem;
            display: flex;
            align-items: center;
            line-height: 3rem;
        }

            .sidebar .nav-item a.active {
                background-color: rgba(255,255,255,0.25);
                color: white;
            }

            .sidebar .nav-item a:hover {
                background-color: rgba(255,255,255,0.1);
                color: white;
            }

.content {
    padding-top: 1.1rem;
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1) !important;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.divider {
    border-bottom: 1px solid white;
}

.row-menu {
    margin-left: -22px !important;
}

.row {
    position: relative;
    top: 1rem;
}

.table-border-bottom {
    border-bottom: 1px solid #343a40 !important;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.custom-scrollbar-js,
.custom-scrollbar-css {
    height: 200px;
}
/* Custom Scrollbar using CSS */
.custom-scrollbar-css {
    overflow-y: scroll;
}

    /* scrollbar width */
    .custom-scrollbar-css::-webkit-scrollbar {
        width: 5px;
    }

    /* scrollbar track */
    .custom-scrollbar-css::-webkit-scrollbar-track {
        background: #eee;
    }

    /* scrollbar handle */
    .custom-scrollbar-css::-webkit-scrollbar-thumb {
        border-radius: 1rem;
        background-color: #00d2ff;
        background-image: linear-gradient(to top, #342BAF 0%, #342BAF 100%);
    }

.blazored-modal-wrapper {
    align-self: inherit !important;
    display: flex !important;
    height: fit-content !important;
}

.edit-user-modal {
    width: 768px !important;
    height: inherit;
    align-self: inherit;
    display: flex;
    flex-direction: column;
    background-color: #fff;
    border-radius: 4px;
    border: 1px solid #fff;
    padding: 1.5rem;
    box-shadow: 0 2px 2px rgba(0,0,0,.25);
}

.edit-batch-modal {
    height: inherit;
    align-self: inherit;
    display: flex;
    flex-direction: column;
    background-color: #fff;
    border-radius: 4px;
    border: 1px solid #fff;
    padding: 1.5rem;
    box-shadow: 0 2px 2px rgba(0,0,0,.25);
}

.blazored-modal-header {
    padding: 0px !important;
}

.simple-form {
    overflow-y: auto;
    padding: 10px;
    overflow-x: hidden;
    width: auto;
    max-height: 83vh;
}

.doc-list-form {
    overflow-y: auto;
    padding: 10px;
    overflow-x: hidden;
    width: 60vw;
    max-height: 83vh;
}

@media (max-width: 767.98px) {
    .main .top-row:not(.auth) {
        display: none;
    }

    .main .top-row.auth {
        justify-content: space-between;
    }

    .main .top-row a, .main .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    .sidebar {
        width: 300px;
        height: 100vh;
        overflow-y: auto;
        position: sticky;
        top: 0;
    }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }

    .navbar-toggler {
        display: none;
    }

    .sidebar .collapse {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }

    .heading-fixed {
        position: fixed !important;
        width: 84.23% !important;
        background: white !important;
        height: 5rem !important;
        z-index: 80 !important;
    }

    .table-for-heading-fixed {
        position: relative !important;
        top: 2rem !important;
    }

    .input-group-filter {
        width: 50% !important;
    }
}
